### Enumeration

# AppStream IssueSeverity

since: 1.0

#### Declaration

    enum AppStream.IssueSeverity

#### Description [src]

The severity of an issue found by `AsValidator`.

Available since: 1.0

#### Members

`AS_ISSUE_SEVERITY_UNKNOWN`

  The severity is unknown.

  - Value: `0`
  - Nickname: `unknown`
  - Available since: 1.0
`AS_ISSUE_SEVERITY_PEDANTIC`

  Pedantic information about ways to improve the data, but could also be ignored.

  - Value: `1`
  - Nickname: `pedantic`
  - Available since: 1.0
`AS_ISSUE_SEVERITY_INFO`

  Non-essential information on how to improve metadata, no immediate action needed.

  - Value: `2`
  - Nickname: `info`
  - Available since: 1.0
`AS_ISSUE_SEVERITY_WARNING`

  Something metadata issue which should be fixed as soon as possible.

  - Value: `3`
  - Nickname: `warning`
  - Available since: 1.0
`AS_ISSUE_SEVERITY_ERROR`

  There is a serious, fatal error in your metadata.

  - Value: `4`
  - Nickname: `error`
  - Available since: 1.0

#### Type functions

###### as_issue_severity_from_string

Converts the text representation to an enumerated value.

since: 1.0

###### as_issue_severity_to_string

Converts the enumerated value to an text representation.

since: 1.0